package com.sixin.module_p.ui.enter.gn.document

import android.os.Bundle
import com.lukouguoji.module_base.ktx.addOnItemClickListener
import com.lukouguoji.module_base.ktx.getLifecycleOwner
import com.sixin.module_p.R
import com.sixin.module_p.base.BasePdaActivity
import com.sixin.module_p.databinding.ActivityPdaDocumentHandoverBinding

class PdaDocumentHandoverActivity  : BasePdaActivity<ActivityPdaDocumentHandoverBinding, PDADocumentViewModel>(){
    override fun layoutId(): Int {
       return R.layout.activity_pda_document_handover
    }

    override fun viewModelClass(): Class<PDADocumentViewModel> {
        return PDADocumentViewModel::class.java
    }


    override fun initOnCreate(savedInstanceState: Bundle?) {
        setBackArrow("单证交接记录")
        binding.viewModel = viewModel
        viewModel.pageModel.bindSmartRefreshLayout(
            binding.srl,
            binding.rv,
            viewModel,
            getLifecycleOwner()
        )
        viewModel.initOnCreated(intent)
        binding.rv.addOnItemClickListener(viewModel)
        viewModel.getData()
    }

}